Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class ClickContentEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.ClickEvent
                      com.bea.p13n.tracking.events.ClickContentEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class ClickContentEvent

extends ClickEvent

Event for tracking clicks on content

See Also
  Serialized Form

Field Summary
`static String` | `TYPE` The event type

Fields inherited from class com.bea.p13n.tracking.events.ClickEvent
`DOCUMENT_ID, DOCUMENT_TYPE`

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`ClickContentEvent(javax.servlet.http.HttpSession session, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Create a new ClickContentEvent.
`ClickContentEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest, String aDocumentType, String aDocumentId)` Deprecated

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  The event type

  See Also
    Constants Summary

Constructor Detail

### ClickContentEvent

    public ClickContentEvent(javax.servlet.http.HttpSession session,
                             javax.servlet.http.HttpServletRequest theRequest,
                             String aDocumentType,
                             String aDocumentId)

  Create a new ClickContentEvent. This ctor must be used for tracking anonymous users.

  Parameters
    `session` - the user's `HttpSession`
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the clicked content (optionally null)
    `aDocumentId` - Document ID for the clicked content (optionally null)

### ClickContentEvent

    public ClickContentEvent(String theSessionId,
                             String theUserId,
                             javax.servlet.http.HttpServletRequest theRequest,
                             String aDocumentType,
                             String aDocumentId)

  Deprecated

  Create a new ClickContentEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent (null if unknown)
    `theRequest` - the http servlet request object
    `aDocumentType` - Document Type for the clicked content (optionally null)
    `aDocumentId` - Document ID for the clicked content (optionally null)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.